<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<!-- Modal -->
<div id="new_product_barcode_modal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-lg">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title"><?php echo $modalHeaderBarcode; ?></h4>
            </div>
            <div class="modal-body">
                <script src="<?php echo base_url('assets/js/quagga.js'); ?>"></script>
                <p>Der Zugriff auf die Kamera muss aktiviert werden um diese Funktion nutzen zu können.</p>
                <input type="button" class="btn btn-success" id="scanner-toggle" value="Barcode Scanner starten" />
                <div style="text-align: center; margin-top: 6%;">
                    <div id="scanblock"></div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Schliessen</button>
            </div>
            </div>
    </div>
</div>

<script>
// Flag if scanner is running
var _scannerIsRunning = false;

function startScanner(){
    var resultCollector = Quagga.ResultCollector.create({
                capture: true,
                capacity: 50,
                filter: function(codeResult){
                    return true;
                }
    });
    Quagga.init({
            inputStream : {
            name : "Live",
            type : "LiveStream",
            target: document.querySelector('#scanblock'),
            constraints: {
                width: 640,
                height: 480,
                facing: "environment"
            },
            },
            decoder : {
                readers : [
                    //"code_128_reader",
                    'ean_reader'
                    //"ean_8_reader"
            ]},
            locator : {
                patchSize: "large"
            }
        }, function(err) {
            if (err) {
                console.log(err);
                return
            }
            console.log("Initialization finished. Ready to start");
            Quagga.registerResultCollector(resultCollector);
            Quagga.start();
    });

    Quagga.onProcessed(result => {
        const drawingCanvas = Quagga.canvas.dom.overlay;
        drawingCanvas.style.display = 'none';
    });

    Quagga.onDetected(function (result) {
        var code = result.codeResult.code; 
        insTextfeldDamit(code);
        Quagga.stop();
    });
}

function insTextfeldDamit(code){
    //Aktuelles Modal schliessen
    $('#new_product_barcode_modal').modal('hide');
    $('#add_product_modal').modal();
    document.getElementById("ean13barcode").value = code;
}

document.getElementById("scanner-toggle").addEventListener("click", function () {
    if (_scannerIsRunning) {
        Quagga.stop();
        _scannerIsRunning = false;
    } else {
        startScanner();
        // set scanner flag
        _scannerIsRunning = true;
    }
}, false);
</script>