<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>

<div class="parent-container container mt-3">
    <h3>Einstellungen</h3>
    <p>In diesem Bereich können Einstellungen zum Pantry-Tool vorgenommen werden.</p>
    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#user">Benutzer verwalten</a></li>
        <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#category-tab">Kategorien</a></li>
        <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#units">Einheiten</a></li>
        <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#barcode">Barcode Einstellungen</a></li>
    </ul>
    <div class="tab-content">
        <!-- TAB USER -->
        <div id="user" class="container tab-pane active">
            <!-- Messages -->
            <?php
            if (isset($_GET['Status'])) {
                $status = $_GET['Status'];
                if ($status == "BenutzerHatProdukte") {
                    ?>
                    <div class="alert alert-danger alert-dismissible">
                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                        <strong>Fehler!</strong> Dieser Benutzer kann nicht gelöscht werden da von Ihm noch Produkte eingetragen sind.
                    </div>
                    <?php
                }
                if($status == "PasswortWechselFehlgeschlagen"){
                    ?>
                    <div class="alert alert-danger alert-dismissible">
                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                        <strong>Fehler!</strong> Das Passwort konnte nicht geändert werden, bitte nochmals versuchen.
                    </div>
                    <?php
                }
                if($status == "PasswortGeaendert"){
                    ?>
                    <div class="alert alert-success alert-dismissible">
                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                        <strong>Erfolg!</strong> Das Passwort wurde erfolgreich geändert.
                    </div>
                    <?php
                }
            }
            ?>
            <h3>Mitglieder</h3>
            <p>Die Mitglieder können in diesem Bereich verwaltet werden. Neu hinzufügen, Passwort ändern und Mitglied löschen.</p>
            <table class="table">
                <thead>
                    <tr>
                        <th>Benutzer</th>
                        <th>Zuletzt aktiv</th>
                        <th>Bearbeiten</th>
                    </tr>
                </thead>
                <tbody>
                        <?php foreach ($benutzer_array as $row) {
                        echo     "<tr>" .
                                    "<td>" . $row->username . "</td>" .
                                    "<td>" . $row->lastlogin . "</td>" .
                                    "<td>" . "<a href='" . base_url('index.php/member/index/' . $row->username) . "'><i class='fas fa-edit'></i></a>" .
                                    "</tr>" 
                        ;
                                    
                        }?>
                </tbody>
            </table>
            <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#add_user_modal">Benutzer hinzufügen</button>
        </div>
        <!-- TAB CATEGORY -->
        <div id="category-tab" class="container tab-pane fade">
            <h3>Kategorien</h3>
            <!-- MESSAGE BOX START -->
                <div class="alert alert-success alert-dismissable" id="kategorieEingetragenTRUE" role="alert" style="display:none;">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <span id="statusMessageText">Kategorie erfolgreich hinzugefügt!</span>
                </div>
                <div class="alert alert-success alert-dismissable" id="kategorieRemoveTRUE" role="alert" style="display:none;">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <span id="statusMessageText">Kategorie erfolgreich gelöscht!</span>
                </div>
                <div class="alert alert-error alert-dismissable" id="kategorieRemoveFALSE" role="alert" style="display:none;">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <span id="statusMessageText">Fehler beim Löschen! Wird diese Kategorie noch verwendet? Zuerst alle Einträge löschen.</span>
                </div>
            <!-- MESSAGE BOX END -->
            <p><i>Kategorien können hier bearbeiten werden</i></p>

            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text">Kategorie</span>
                </div>
                <input class="form-control" name="newkategoriename" id="newkategoriename" type="text" />
                <div class="input-group-append">
                <button type="button" onclick="addkategorie(); return false;" class="btn btn-secondary" type="button">Hinzufügen</button> 
                </div>
            </div>
            <br>
            <ul class="list-group" id="categorylist">
            <?php foreach ($kategorien_array as $kategorie) {
                echo    "<li class='list-group-item d-flex justify-content-between align-items-center'>" . 
                        $kategorie->categoryname . 
                        "<span class='pull-right'>" .
                        "<div class='btn-group btn-group-sm'>" .
                        "<a id='' htef='#' onclick='remove(" . $kategorie->categoryid . ", \"category\")';return false;><i class='fas fa-trash-alt'></i></a>" .
                        "</div>" .
                        "</span>" .
                        "</li>";
            }
            ?>
            </ul>
            <p><span id="messagespan"></span></p>
        </div>
        <!-- TAB UNITS -->
        <div id="units" class="container tab-pane fade">
            <h3>Einheiten</h3>
            <p><i>Einheiten können hier bearbeiten werden</i></p>
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                    <span class="input-group-text">Kategorie</span>
                </div>
                <input class="form-control" name="newunitname" id="newunitname" type="text" />
                <div class="input-group-append">
                <button type="button" class="btn btn-secondary" onclick="addUnit();return false" disabled>Hinzufügen</button>
                </div>
            </div>
            <br>
            <ul class="list-group" id="unitlist">
                <?php foreach ($units_array as $unit) {
                    echo    "<li class='list-group-item d-flex justify-content-between align-items-center'>" . 
                            $unit->unit . 
                            "<span class='pull-right'>" .
                            "<div class='btn-group btn-group-sm'>" .
                            "<a id='' htef='#' onclick='remove(" . $unit->unitid . ", \"unit\")';return false;><i class='fas fa-trash-alt'></i></a>" .
                            "</div>" .
                            "</span>" .
                            "</li>";
                }
                ?>
            </ul>
        </div>
        <!-- TAB BARCODE -->
        <div id="barcode" class="container tab-pane fade">
            <h3>Barcode Einstellungen</h3>
            <p>Damit der Barcode Reader korrekt funktioniert und auch produkte findet, müssen diese hier gespeichert werden. Es sind bereits Standardprodukte in der Datenbank vorhanden
            die Liste ist aber nicht komplett. Ergänze die Liste um auch deine Produkte Scannen zu können.</p>
            <h4>Produkte in der Datenbank</h4>
            <div class="table-responsive">
                <table class="table table-hover" id="barcode-table">
                    <thead>
                        <tr>
                            <th>EAN 13</th>
                            <th>Produktname</th>
                            <th>Haltbarkeit (Tage)</th>
                            <th>Kategorie</th>
                            <th>Aktionen</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($products_barcode as $key=>$product_barcode):?>
                        <tr>
                            <td><?php echo $product_barcode->ean_13;?></td>
                            <td><?php echo $product_barcode->productname;?></td>
                            <td><?php echo $product_barcode->shelfLifeInDays;?></td>
                            <td><?php echo $product_barcode->categoryname;?></td>
                            <td><a href="<?php echo base_url('settings/removeBarcodeProduct/'.$product_barcode->id_products_barcode_root);?>"><i class="fas fa-trash-alt"></i></a></td>
                        </tr>
                    <?php endforeach;?>
                    </tbody>
                </table>
            </div> <!-- END TABLE -->
            <hr>
            <a class="btn btn-success" data-toggle="modal" href='#add_product_barcode_modal'>Hinzufügen</a>
        </div> <!-- END BARCODE -->
    </div> <!-- END tab-content -->
</div>
<br>

<script type="text/javascript">
    function addkategorie()
    {
        var kategoriename = document.getElementById("newkategoriename").value;
        document.getElementById('messagespan').innerHTML = "";
        if(kategoriename != "")
        {
            console.log(kategoriename);
            $.ajax({
                type: 'post',
                url: '<?php echo base_url('index.php/ajax_controller/addkategorie'); ?>',
                data: {'kategoriename': kategoriename},
                success: function(response){
                    console.log(response);
                    if(response == 1){
                        //updateUL();
                        $('#kategorieEingetragenTRUE').show();
                    }
                    else {
                        document.getElementById('messagespan').innerHTML = "Kategorie bereits vorhanden!";
                    }
                },
                error: function(jqXHR, textStatus, errorThrown) {
                    console.log(textStatus, errorThrown);
                    console.log("Fehler");
                }
            });
        }
        else
        {

        }
           
    }

    function addUnit()
    {
        var unitname = document.getElementById("newunitname").value;
        console.log(unitname);
    }

    function remove(id, itemtype)
    {
        console.log("Remove " + id + ", " + itemtype);
        if (itemtype == "category") 
        {
            $.ajax({
                type: 'post',
                url: '<?php echo base_url('index.php/ajax_controller/removeKategorie'); ?>',
                data: {'kategorieId': id},
                success: function(response){
                    console.log(response);
                    if(response == 1){
                        //updateUL();
                        $('#kategorieRemoveTRUE').show();
                    }
                    else {
                        $('#kategorieRemoveFALSE').show();
                    }
                },
                error: function(jqXHR, textStatus, errorThrown) {
                    console.log(textStatus, errorThrown);
                }
            });
        }
    }

    function updateUL()
    { 
        $( "#categorylist" ).load(window.location.href + " #categorylist" );
    }
</script>

</div>